Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::VectorCast Class Reference
Basic

class for mathematical vector More...

`#include <VectorCast.h>`

Inheritance diagram for tlp::VectorCast:
[legend]
Collaboration diagram for tlp::VectorCast:
[legend]

List of all members.

## Public Member Functions

- VectorCast ()
- VectorCast (const tlp::Vector< float, 3 > &v)
- TYPE & operator*= (const Obj &obj)
- TYPE & operator*= (const Vector< Obj, SIZE > &vec)
- TYPE & operator/= (const Obj &obj)
- TYPE & operator/= (const Vector< Obj, SIZE > &vec)
- TYPE & operator+= (const Obj &obj)
- TYPE & operator+= (const Vector< Obj, SIZE > &vec)
- TYPE & operator-= (const Obj &obj)
- TYPE & operator-= (const Vector< Obj, SIZE > &vec)
- TYPE & operator^= (const Vector< Obj, SIZE > &vec)
- TYPE & fill (const Obj &obj)
- TYPE operator* (const Vector< Obj, SIZE > &v) const
- TYPE operator* (const Obj &v) const
- TYPE operator+ (const Vector< Obj, SIZE > &v) const
- TYPE operator+ (const Obj &v) const
- TYPE operator- (const Vector< Obj, SIZE > &v) const
- TYPE operator- (const Obj &v) const
- TYPE operator/ (const Vector< Obj, SIZE > &v) const
- TYPE operator/ (const Obj &v) const
- TYPE operator^ (const Vector< Obj, SIZE > &v) const

## Detailed Description

class for mathematical vector

Enables to create a Vector of Obj with a fixed size and provides Mathematical operation. Mathematical operators must be defined for Obj. Out of bound accesses are only checked in debug mode.

Author:
  : David Auber auber@tulip-software.org

Version:
  0.0.1 24/01/2003

## Constructor & Destructor Documentation

tlp::VectorCast::VectorCast | ( |  | ) | `[inline]`

tlp::VectorCast::VectorCast | ( | const tlp::Vector< float, 3 > & | v | ) | `[inline, explicit]`

## Member Function Documentation

TYPE& tlp::VectorCast::fill | ( | const Obj & | obj | ) | `[inline]`

TYPE tlp::VectorCast::operator* | ( | const Vector< Obj, SIZE > & | v | ) | const`[inline]`

TYPE tlp::VectorCast::operator* | ( | const Obj & | v | ) | const`[inline]`

TYPE& tlp::VectorCast::operator*= | ( | const Obj & | obj | ) | `[inline]`

TYPE& tlp::VectorCast::operator*= | ( | const Vector< Obj, SIZE > & | vec | ) | `[inline]`

TYPE tlp::VectorCast::operator+ | ( | const Vector< Obj, SIZE > & | v | ) | const`[inline]`

TYPE tlp::VectorCast::operator+ | ( | const Obj & | v | ) | const`[inline]`

TYPE& tlp::VectorCast::operator+= | ( | const Obj & | obj | ) | `[inline]`

TYPE& tlp::VectorCast::operator+= | ( | const Vector< Obj, SIZE > & | vec | ) | `[inline]`

TYPE tlp::VectorCast::operator- | ( | const Obj & | v | ) | const`[inline]`

TYPE tlp::VectorCast::operator- | ( | const Vector< Obj, SIZE > & | v | ) | const`[inline]`

TYPE& tlp::VectorCast::operator-= | ( | const Vector< Obj, SIZE > & | vec | ) | `[inline]`

TYPE& tlp::VectorCast::operator-= | ( | const Obj & | obj | ) | `[inline]`

TYPE tlp::VectorCast::operator/ | ( | const Obj & | v | ) | const`[inline]`

TYPE tlp::VectorCast::operator/ | ( | const Vector< Obj, SIZE > & | v | ) | const`[inline]`

TYPE& tlp::VectorCast::operator/= | ( | const Obj & | obj | ) | `[inline]`

TYPE& tlp::VectorCast::operator/= | ( | const Vector< Obj, SIZE > & | vec | ) | `[inline]`

TYPE tlp::VectorCast::operator^ | ( | const Vector< Obj, SIZE > & | v | ) | const`[inline]`

TYPE& tlp::VectorCast::operator^= | ( | const Vector< Obj, SIZE > & | vec | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012